Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drools.builder
Enum DecisionTableInputType

    java.lang.Object
      java.lang.Enum<DecisionTableInputType>
          org.drools.builder.DecisionTableInputType

All Implemented Interfaces:
  Serializable, Comparable<DecisionTableInputType>

    public enum DecisionTableInputType

extends Enum<DecisionTableInputType>

Specifies the type of decision table resource. Currently either XLS or CSV.

Enum Constant Summary
`CSV`
`XLS`

Method Summary
`static DecisionTableInputType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DecisionTableInputType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### XLS

    public static final DecisionTableInputType XLS

### CSV

    public static final DecisionTableInputType CSV

Method Detail

### values

    public static DecisionTableInputType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DecisionTableInputType c : DecisionTableInputType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DecisionTableInputType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.